GNU bug report logs - #30254
[PATCH 0/3] guix environment --user, --link-profile, --no-cwd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mike Gerwitz <mtg@HIDDEN>; Keywords: moreinfo patch; merged with #30256; dated Fri, 26 Jan 2018 03:31:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 30254 <at> debbugs.gnu.org:


Received: (at 30254) by debbugs.gnu.org; 7 Jul 2019 13:18:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 07 09:18:31 2019
Received: from localhost ([127.0.0.1]:56294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hk73m-0004DR-T8
	for submit <at> debbugs.gnu.org; Sun, 07 Jul 2019 09:18:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1hk73l-0004DA-7X; Sun, 07 Jul 2019 09:18:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41010)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hk73f-0001lA-J7; Sun, 07 Jul 2019 09:18:23 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55768 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hk73e-0002a3-Mu; Sun, 07 Jul 2019 09:18:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: [bug#30256] [PATCH 3/3] scripts: environment: Add --no-cwd.
References: <7bc71eaa3cff48ec7dc0d4fe406dde9482b716a9.1516937216.git.mtg@HIDDEN>
 <JDVMtiOOy1lDfdtXZ_gejE0CTwO2En_Gr9J7SqXB0-5RDJzBaCN91gsXgyT7c9Vsd27TlZvDYrYOpwcxYX93JgkM2IILUCLq8p3ahIId21k=@carldong.me>
Date: Sun, 07 Jul 2019 15:18:20 +0200
In-Reply-To: <JDVMtiOOy1lDfdtXZ_gejE0CTwO2En_Gr9J7SqXB0-5RDJzBaCN91gsXgyT7c9Vsd27TlZvDYrYOpwcxYX93JgkM2IILUCLq8p3ahIId21k=@carldong.me>
 (Carl Dong's message of "Sat, 29 Jun 2019 23:27:43 +0000")
Message-ID: <87lfxac7ab.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30254
Cc: Ricardo Wurmus <rekado@HIDDEN>, 30254 <at> debbugs.gnu.org,
 "30256 <at> debbugs.gnu.org" <30256 <at> debbugs.gnu.org>, Mike Gerwitz <mtg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Carl,

Carl Dong <contact@HIDDEN> skribis:

> I believe I've found a solution to the problem that Ludo was encountering=
. The
> reason why Ludo was having trouble was because when a user specifies `--u=
ser`,
> we rewrite the targets of our filesystem mappings so that every instance =
of
> `$HOME` (as seen ouside the container) becomes `/home/$USER`. Since this =
applied
> to all filesystem mappings, it included our filesystem mappings for input=
s too.
> However, our symlinks were not updated.
>
> My change makes it so that we _only_ update the mappings that are either
> user-specified, or cwd (if applicable). This solves Ludo's problems.
>
> Here's the patch, let me know if it looks good:
> https://github.com/dongcarl/guix/compare/8e92d5465fc154fed5d06f7e4a64d7dc=
ccded74d...2019-06-env-no-cwd-fix.patch

Good catch!  The patches LGTM.  (Note: you can use the =E2=80=98Co-authored=
-by=E2=80=99
tag for the second patch, I think it=E2=80=99s a more or less common
convention.)

Speaking of which, could you create an account on Savannah?  That way we
could grant you commit access to make it more convenient for you and so
you can review and apply other people=E2=80=99s patches in your areas of ex=
pertise.

Please let me know what your account is, and reply with a message signed
by the key you=E2=80=99ll use to sign commits.  Also please read the =E2=80=
=98HACKING=E2=80=99
file for info on the commit =E2=80=9Crules=E2=80=9D.

Thanks!

Ludo=E2=80=99.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEPORkVYqE/cadtAz7CQsRmT2a67UFAl0h8RwACgkQCQsRmT2a
67Xc+Q/+Kq8VHJSSLVX8lMtbCNz+PR7fjFXVIou2E81SyQ1RzjeK/Iy0RbwdsOnX
02/GB1+8WK2F4L/j+48DEAzNO9Pg3AMYNITXaCyhxx0uqjhCIgWK5XBfLnjgGGIO
e2U2mxRhwCDAK5hbdlJncrtax6rgqouZmUiPkTfJ6cnJRmYAWtl/2zKf7aPxiZ/Z
k9k2E4IUcsDrP/tpl6CT8WUiFOBvzudfbFij3PH7a17kzO7TQKJAK7R9R2LdywwC
teZ2BYzpqF+eMo1+L13aQpC+Kh58rYDU+DWsIVtm0vnEJqLdkiOZsgIMOlIhuluN
gS1RR06af/ayJsxilwS3DUjXKetVo0Dr7EaOyhSzW0UfYepHZQVQDDVu9ELJ2qu5
QaWZGcWqx+tS78JHIO3yHgWisTaB473JroKPJbvCkoDMTXrHoyEoRA9kX4IzPL5N
DT+8GcXhn+iAQneZBBxemRZuxVlEMi3lqP5NMLH9bsS7Gm2hCFKCqYoBEGKhgLiQ
qEDTJLVrT96f39KxItPrps40qrvPWu3U8vcxf9XIlIHM8yZ1PC44UTViH8aKmq+r
YhD+RjsiyYNq2frW7U+Nv7INkyHWujmMFhmhw2rfv9cfU00+Eq/yIqu2dR3B4PiS
Ubz0hngpdNh1ySpgoJq0Cgj5hyrcHd6nWsVwhda/rawJp83RWFg=
=SlEi
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30254; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30254 <at> debbugs.gnu.org:


Received: (at 30254) by debbugs.gnu.org; 8 Nov 2018 01:57:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 07 20:57:07 2018
Received: from localhost ([127.0.0.1]:40159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gKZZD-0007A5-ES
	for submit <at> debbugs.gnu.org; Wed, 07 Nov 2018 20:57:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1gKZZC-00079U-9t
 for 30254 <at> debbugs.gnu.org; Wed, 07 Nov 2018 20:57:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtg@HIDDEN>) id 1gKZZ6-0008UB-HT
 for 30254 <at> debbugs.gnu.org; Wed, 07 Nov 2018 20:57:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42020)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gKZYx-0008Oe-Hb; Wed, 07 Nov 2018 20:56:51 -0500
Received: from localhost ([::1]:44866 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>)
 id 1gKZYx-0006FO-CQ; Wed, 07 Nov 2018 20:56:51 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: [bug#30256] [PATCH 3/3] scripts: environment: Add --no-cwd.
In-Reply-To: <87murcdaui.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 17 Oct 2018 14:19:33 +0200")
Date: Wed, 07 Nov 2018 20:56:34 -0500
Message-ID: <87lg64xrfx.fsf@HIDDEN>
References: <87vag2wopo.fsf@HIDDEN> <cover.1516937216.git.mtg@HIDDEN>
 <7bc71eaa3cff48ec7dc0d4fe406dde9482b716a9.1516937216.git.mtg@HIDDEN>
 <87tvtyhhnd.fsf@HIDDEN> <87murcdaui.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30254
Cc: 30254 <at> debbugs.gnu.org, 30256 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludo:

On Wed, Oct 17, 2018 at 15:19:33 +0200, Ludovic Court=C3=A8s wrote:
> There=E2=80=99s this last patch from the series you submitted a while back
> that=E2=80=99s ready modulo an issue with the test.  Could you take a loo=
k?

I'm not ignoring this; I'll have time to look over the next couple of
weeks.  I'll need to research the issue.

=2D-=20
Mike Gerwitz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJb45fSAAoJEIyRe39dxRuisEMQALzkRSbdn1DLakjTK2vMJTMh
oNJI00NgVPrmTbCgohtIZCvW9rhdmhgDmWr3gSM1I+3ptMKoN79kQCcT3O/seKWd
1oh1MOswwwzNaZPBuVqq8m8FjE25OmYm4+FAT+KJWV3xBA2t3gUuxWway4OLmL7w
wFkMTWUftScog0Aa2BceI56dXT6YmheajMoTjhhc27lnAT71Yf3qPsNfjs7VpGjY
Wqz6oC7h3Kv44WNN7KbUV0Zilvfh/zpU8AKeayovd9v4gQUudiCtPEimPi9VPeuZ
pvQk412DOfTAZYSCai8y8+2JYsXks+BGXd1+yX/cOqHp7tvAcrDxna96X0H1DS4d
+O1srjpEhsb39HvCnya/u6c7ltWNjUAdojksm2KpY5eMjQkvkhV5O6K/0wAZf53l
9jyd4uJ9hLYqKlspbiTvFCAqa3SDp43/deKT3PR1Gd7x04c7R+GtF9PLwvIOSsVY
ZUlsujv/YWQqGVt9LJ0XN2ffQ+wyZ8xxIyPQBtnRUHNFlJrOIXxtkuRKdVuSDB4g
kZPky1QyBhG9HldJEDyvr3JXeyDxgPGBxpAt0K3vadv+5fL59+7Q59oaSnKkC2ln
FpXEw+8cz+93Xjh8N3zybBl9sGfh+LVp87Cjd06Dlw+g/bcCsCoRGV165VHa3kuy
bAe5pEu9SpGWVxBcicgv
=V7Ay
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30254; Package guix-patches. Full text available.

Message received at 30254 <at> debbugs.gnu.org:


Received: (at 30254) by debbugs.gnu.org; 17 Oct 2018 12:19:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 08:19:50 2018
Received: from localhost ([127.0.0.1]:54484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gCknm-0007vW-F9
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2018 08:19:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gCknj-0007v7-Tr
 for 30254 <at> debbugs.gnu.org; Wed, 17 Oct 2018 08:19:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gCknd-0000p1-Ng
 for 30254 <at> debbugs.gnu.org; Wed, 17 Oct 2018 08:19:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35660)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gCknW-0000WK-Rp; Wed, 17 Oct 2018 08:19:34 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53704 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gCknW-0007gc-II; Wed, 17 Oct 2018 08:19:34 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mike Gerwitz <mtg@HIDDEN>
Subject: Re: [bug#30256] [PATCH 3/3] scripts: environment: Add --no-cwd.
References: <87vag2wopo.fsf@HIDDEN> <cover.1516937216.git.mtg@HIDDEN>
 <7bc71eaa3cff48ec7dc0d4fe406dde9482b716a9.1516937216.git.mtg@HIDDEN>
 <87tvtyhhnd.fsf@HIDDEN>
Date: Wed, 17 Oct 2018 14:19:33 +0200
In-Reply-To: <87tvtyhhnd.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Fri, 02 Mar 2018 11:54:30 +0100")
Message-ID: <87murcdaui.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30254
Cc: 30254 <at> debbugs.gnu.org, 30256 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello Mike,

There=E2=80=99s this last patch from the series you submitted a while back
that=E2=80=99s ready modulo an issue with the test.  Could you take a look?

TIA,
Ludo=E2=80=99.

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> Mike Gerwitz <mtg@HIDDEN> skribis:
>
>> * doc/guix.texi (Invoking guix environment): Add --no-cwd.
>> * guix/scripts/environment.scm (show-help, %options): Add --no-cwd.
>> (launch-environment/container): Add 'map-cwd?' param; only add mapping f=
or cwd
>> if #t.  Only change to cwd within container if #t, otherwise home.
>> (guix-environment): Error if --no-cwd without --container.  Provide '(not
>> no-cwd?)' to launch-environment/container as 'map-cwd?'.
>> * tests/guix-environment.sh: Add test for no-cwd.
>
> This one LGTM as well (with the test moved to
> guix-environment-container.sh).  There=E2=80=99s just a minor issue:
>
>> --- a/tests/guix-environment.sh
>> +++ b/tests/guix-environment.sh
>> @@ -84,6 +84,14 @@ HOME=3D"$tmpdir" guix environment --bootstrap --conta=
iner --user=3Dfoognu \
>>       --share=3D"$tmpdir/umock" \
>>       -- guile -c "$usertest"
>>=20=20
>> +# if not sharing CWD, chdir home
>> +(
>> +  cd "$tmpdir" \
>> +    && guix environment --bootstrap --container --no-cwd --user=3Dfoo  \
>> +            --ad-hoc guile-bootstrap --pure \
>> +            -- /bin/sh -c 'test $(pwd) =3D=3D "/home/foo" -a ! -d '"$tm=
pdir"
>> +)
>> +
>
> This test would fail for me because my test store is at
> ~ludo/src/guix/test-tmp/store and my CWD is ~/src/guix.  So when using
> both --user and --no-cwd, the effect is that
> ~ludo/src/guix/test-tmp/store is not available at all within the
> container, and thus execve("/bin/sh") fails with ENOENT:
>
> $ ./test-env guix environment --bootstrap --container --no-cwd --user=3Df=
oo --ad-hoc guile-bootstrap
> accepted connection from pid 29684, user ludo
> accepted connection from pid 29695, user ludo
> ./test-env: line 1: 29683 Terminated              "/home/ludo/src/guix/pr=
e-inst-env" "/home/ludo/src/guix/guix-daemon" --disable-chroot --substitute=
-urls=3D"$GUIX_BINARY_SUBSTITUTE_URL"
> $ echo $?
> 1
>
> Thoughts?
>
> TIA,
> Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#30254; Package guix-patches. Full text available.
Merged 30254 30256. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2018 03:30:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 25 22:30:45 2018
Received: from localhost ([127.0.0.1]:42994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eeuiy-00022O-UB
	for submit <at> debbugs.gnu.org; Thu, 25 Jan 2018 22:30:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1eeuiw-000225-Ua
 for submit <at> debbugs.gnu.org; Thu, 25 Jan 2018 22:30:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtg@HIDDEN>) id 1eeuiq-0002iF-OV
 for submit <at> debbugs.gnu.org; Thu, 25 Jan 2018 22:30:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43957)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mtg@HIDDEN>) id 1eeuiq-0002i6-Lr
 for submit <at> debbugs.gnu.org; Thu, 25 Jan 2018 22:30:36 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44081)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1eeuip-0001bj-Kt
 for guix-patches@HIDDEN; Thu, 25 Jan 2018 22:30:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtg@HIDDEN>) id 1eeuio-0002gl-PO
 for guix-patches@HIDDEN; Thu, 25 Jan 2018 22:30:35 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34345)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1eeuin-0002fl-AF; Thu, 25 Jan 2018 22:30:33 -0500
Received: from localhost ([::1]:37479 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>)
 id 1eeuim-000756-TY; Thu, 25 Jan 2018 22:30:33 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] guix environment --user, --link-profile, --no-cwd
In-Reply-To: <87vag2wopo.fsf@HIDDEN>
Date: Thu, 25 Jan 2018 22:29:02 -0500
References: <87vag2wopo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
X-From-Line: 7bc71eaa3cff48ec7dc0d4fe406dde9482b716a9 Mon Sep 17 00:00:00 2001
Message-Id: <cover.1516937216.git.mtg@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: David Thompson <davet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On help-guix I initiated a conversation on using IceCat within a container
(<87vag2wopo.fsf@HIDDEN>).  This covers some of the lower-level concepts I
was thinking off.  Specifically:

0. The ability to hide the user (and home directory) from procsses within t=
he
   container.  This includes rewritting mapped paths;
1. Suppressing the behavior of automatically sharing cwd; and
2. Linking $GUIX_ENVIRONMENT to ~/.guix-profile.

The first two are for privacy (#1 is for conveinence, since creating an emp=
ty
dir just to cd into it is a bit klugy as a workaround).  #2 was motivated by
my needs with font-config, but I can imaging that it'd be useful elsewhere
as well.  It only really makes sense if you're not sharing your home
directory.

Mike Gerwitz (3):
  scripts: environment: Add --link-profile.
  scripts: environment: Add --user.
  scripts: environment: Add --no-cwd.

 doc/guix.texi                |  59 +++++++++++++-
 guix/scripts/environment.scm | 178 +++++++++++++++++++++++++++++++++++----=
----
 tests/guix-environment.sh    |  30 ++++++++
 3 files changed, 233 insertions(+), 34 deletions(-)

=2D-=20
2.15.1


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJaaqB+AAoJEIyRe39dxRuiafEP/jmJii6A75ckdrFAqTxPZYtO
uxLCDYE4JF38e1n1pnNg8bS8djW0NGkYbXD3p9zqj870zs9zCv+gwsI6hQO+FTXw
fhbrSU7cjOXWubNF/u15NM6NMeQ8bMz/MZmCukVO15Wdux+A67LLIGq6w10R/Xkt
M01B4KsqTVg1OV8gY/4TJsa7DTVRUpjIJHj5YkEeKXnhiDB3CX/msIz3pCQDwAbh
K396M1ZttJQKGhDJbwU9p5MQxdrZY19b2YZHv3x1NdaOECwf7ZvhXQn98b85HJmr
3akpAIlbnt3HL6ZWEZzRsp9ybMSkZupjmrQKTKQCBDUTZDx9ZdbmgFfdhSVXFgxa
vYc6XeIIZ6PRFxzdhBQ7adBjkg9fw/N+cnIZi6ykZyfKkZ/wcoYeb8sKSIMeJv6K
lqQBGFQFejNXuDruZNOZGSxazRQlsiuAg8ziu4hjNRG2Vm62tIyY6G5cSyfzfj6Z
G0e2gei10xLrXKJU6nMEM7BR8G3MwWr2gK5+AG5NxNgiePglxJlZBPpoEUS44Crq
fBWOELDjS7RAVrQhP6gdg8TbjoWUFWj88m1gs+cH0IEwM9bTMXA6meOvNbCBK64h
NuDkZGdCFwvouNkzEHGI55W6jZO7rHUcLzdULnlRQ8CqVC5t9pF+T2xRRrb9ch+z
9QQepdbHsOhwgvqSAe88
=o/jn
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Mike Gerwitz <mtg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#30254; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.